org.apache.fop.render.intermediate

## Class IFGraphicContext.Viewport

- java.lang.Object
- - org.apache.fop.render.intermediate.IFGraphicContext.Group
  - - org.apache.fop.render.intermediate.IFGraphicContext.Viewport

Enclosing class:
  IFGraphicContext

    public static class IFGraphicContext.Viewport
    extends IFGraphicContext.Group

a viewport

### Constructor Summary

Constructors
Constructor and Description
`Viewport(AffineTransform[] transforms, Dimension size, Rectangle clipRect)` Construct a viewport.
`Viewport(AffineTransform transform, Dimension size, Rectangle clipRect)` Construct a viewport.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `end(IFPainter painter)`
`Rectangle` `getClipRect()`
`Dimension` `getSize()`
`void` `start(IFPainter painter)`
`String` `toString()`

### Methods inherited from class org.apache.fop.render.intermediate.IFGraphicContext.Group

`getLayer, getTransforms`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Viewport

    public Viewport(AffineTransform[] transforms,
                    Dimension size,
                    Rectangle clipRect)

Construct a viewport.

Parameters:
  `transforms` - an array of transforms
  `size` - a dimension
  `clipRect` - a clip rectangle

#### Viewport

    public Viewport(AffineTransform transform,
                    Dimension size,
                    Rectangle clipRect)

Construct a viewport.

Parameters:
  `transform` - a transform
  `size` - a dimension
  `clipRect` - a clip rectangle

### Method Detail

#### getSize

    public Dimension getSize()

Returns:
  the viewport's size

#### getClipRect

    public Rectangle getClipRect()

Returns:
  the clip rectangle

#### start

    public void start(IFPainter painter)
               throws IFException

Overrides:
  `start` in class `IFGraphicContext.Group`
Parameters:
  `painter` - a painter
Throws:
  `IFException` - in not caught

#### end

    public void end(IFPainter painter)
             throws IFException

Overrides:
  `end` in class `IFGraphicContext.Group`
Parameters:
  `painter` - a painter
Throws:
  `IFException` - in not caught

#### toString

    public String toString()

Overrides:
  `toString` in class `IFGraphicContext.Group`